### Class

# WebKit2 GeolocationPermissionRequest

#### Description [src]

    class WebKit2.GeolocationPermissionRequest : GObject.Object {
      parent: GObject,
      priv: WebKitGeolocationPermissionRequestPrivate*
    }

A permission request for sharing the user’s location.

WebKitGeolocationPermissionRequest represents a request for permission to decide whether WebKit should provide the user’s location to a website when requested through the Geolocation API.

When a WebKitGeolocationPermissionRequest is not handled by the user, it is denied by default.

When embedding web views in your application, you must configure an application identifier to allow web content to use geolocation services. The identifier must match the name of the `.desktop` file which describes the application, sans the suffix.

If your application uses `GApplication` (or any subclass like `GtkApplication`), WebKit will automatically use the identifier returned by g_application_get_application_id(). This is the recommended approach for enabling geolocation in applications.

If an identifier cannot be obtained through `GApplication`, the value returned by `g_get_prgname()` will be used instead as a fallback. For programs which cannot use `GApplication`, calling `g_set_prgname()` early during initialization is needed when the name of the executable on disk does not match the name of a valid `.desktop` file.

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

###### webkit_permission_request_deny

Deny the action which triggered this request.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2GeolocationPermissionRequestClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_webkit_reserved0: void (* _webkit_reserved0) ( void )`
  No description available.
`_webkit_reserved1: void (* _webkit_reserved1) ( void )`
  No description available.
`_webkit_reserved2: void (* _webkit_reserved2) ( void )`
  No description available.
`_webkit_reserved3: void (* _webkit_reserved3) ( void )`
  No description available.